| All Verbs | /RestApi/sitefinity/sitemap/GetCurrentSitemapStatus |
|---|
namespace Telerik.Sitefinity.SitemapGenerator.Data
open System
open System.Collections
open System.Collections.Generic
open System.Runtime.Serialization
open ServiceStack
open ServiceStack.DataAnnotations
[<AllowNullLiteral>]
type SitemapStatusMessage() =
member val CurrentSiteId:Guid = new Guid() with get,set
[<AllowNullLiteral>]
type SitemapStatus() =
member val CurrentProgress:Int32 = new Int32() with get,set
member val StatusMessage:String = null with get,set
member val LastGenerated:String = null with get,set
member val Links:IEnumerable<String> = null with get,set
[<AllowNullLiteral>]
type SitemapStatusContext() =
member val Item:SitemapStatus = null with get,set
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/sitefinity/sitemap/GetCurrentSitemapStatus HTTP/1.1
Host: www.asg.com.au
Accept: application/xml
Content-Type: application/xml
Content-Length: length
<SitemapStatusMessage xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.SitemapGenerator.Data">
<CurrentSiteId>00000000-0000-0000-0000-000000000000</CurrentSiteId>
</SitemapStatusMessage>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<SitemapStatusContext xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.SitemapGenerator.Data">
<Item>
<CurrentProgress>0</CurrentProgress>
<LastGenerated>String</LastGenerated>
<Links xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" i:nil="true" />
<StatusMessage>String</StatusMessage>
</Item>
</SitemapStatusContext>